﻿Public Class frmCourses
    Dim courseList As New List(Of Course)
    'this makes a list of objects 
    Private Sub Form_Load() Handles MyBase.Load
        With courseList
            'creating course objects for each course which contains the data 
            'adding to courseList
            .Add(New Course("CIS120", "Programming Logic", 3, "CIS"))
            .Add(New Course("CIS121", "Operating Systems", 3, "CIS"))
            .Add(New Course("CIS122", "Internet Developer", 3, "CIS"))
            .Add(New Course("CIS150", "Oracle and SQL", 3, "CIS"))
            .Add(New Course("CIS156", "Visual Basic", 3, "CIS"))
            .Add(New Course("CIS256", "Advanced Visual Basic", 3, "CIS"))
            .Add(New Course("CIS157", "OOJava I", 4, "CIS"))
            .Add(New Course("MAN101", "Management", 3, "BUS"))
        End With
    End Sub

    Private Sub btnList_Click(sender As System.Object, e As System.EventArgs) Handles btnList.Click
        Dim query = From aCourse In courseList
            Select aCourse
        dgvCourses.DataSource = query.ToList()
        'toList is a method 
    End Sub

    Private Sub btnCIS_Click(sender As System.Object, e As System.EventArgs) Handles btnCIS.Click
        Dim query = From aCourse In courseList
                    Select aCourse
                    Where aCourse.Dept = "CIS"
                    Order By aCourse.CrsNo Descending
        dgvCourses.DataSource = query.ToList()
    End Sub

    Private Sub btnCIS3Cr_Click(sender As System.Object, e As System.EventArgs) Handles btnCIS3Cr.Click
        Dim query = From aCourse In courseList
                     Select aCourse
                     Where aCourse.Dept = "CIS" And aCourse.NumCrs = 3
        dgvCourses.DataSource = query.ToList()
    End Sub
End Class
